#
# netconfd configuration file
# Refer to netconfd container definition in netconfd.yang
# for full CLI documentation.
#
# version 2.2; 2012-01-23
#

netconfd {

## leaf access-control
#  Controls how access control is enforced by the server.
#    enforcing
#    permissive
#    disabled
#    off
#
# access-control enforcing
#
## leaf audit-log
#  Filespec for the server audit log file to use in  addition  to  the
#  normal log file or STDOUT.
#
# The default is to not have an additional audit-log
# (no default filename)
#
## leaf audit-log-append
#   If  present,  the  audit log will be appended not over-written.
#
# The default is to not append (leaf not present)
#
## leaf datapath
#  Internal file search path for data files.
#  e.g., datapath "~/work:/some/path:../another/path"
#
# no default for datapath
#
## leaf default-style
#  Selects the type of filtering behavior the server will
#  advertise as the 'basic' behavior in the 'with-defaults'
#  capability. 
#    report-all
#    trim
#    explicit
#
# default-style explicit
#
## leaf delete-empty-npcontainers
#   Selects  whether  the server will keep or delete empty non-presence
#   containers in the running and startup configurations. Set  to  true
#   to  delete  these  containers,  and  false  to keep them.
#   !! This parameter is deprecated, and ignored by the server !!
#   !! empty NP containers are not deleted !!
# delete-empty-npcontainers false
#
## leaf-list deviation
#  Specifies a YANG module to use as a source of deviations
# e.g. deviation project-X-deviations
#
# no default for deviation
#
## leaf eventlog-size
#  Specifies the maximum number of notification events
#  that will be saved in the notification replay buffer.
#
# eventlog-size 1000
#
## leaf-list feature-disable
#     syntax:  module-name:feature-name
# Identifies a feature which should be considered disabled.
# Zero or more entries are allowed.
#
# no default for feature-disable (e.g., feature-disable foo:feature1)
#
## leaf-list feature-enable
#     syntax: module-name:feature-name
# Identifies a feature which should be considered enabled.
# Zero or more entries are allowed.
#
# no default for feature-enable (e.g., feature-enable foo:feature1)
#
## leaf feature-enable-default
# If true (the default), then features will be  enabled  by  default.
# If false, then features will be disabled by default.
#
# feature-enable-default true
#
## leaf hello-timeout
#  Specifies the number of seconds that a session
#  may exist before the hello PDU is received.
#  range 0 | 10 .. 3600; 0 == no timeout used
#
# hello-timeout 600
#
## leaf home
# Directory specification for the home directory to use 
# instead of HOME.
#
# there is no default for home ($HOME env var used) 
# (e.g. home /home/someuser)
#
## leaf idle-timeout
#  Specifies the number of seconds that a session
#  may remain idle without issuing any RPC requests.
#  Sessions that have a notification subscription
#  active are never dropped. 
#  range 0 | 10 .. 360000; 0 == no timeout used
#
# idle-timeout 3600
#
## leaf indent
#  Number of spaces to indent (0..9) in formatted output.
#
# indent 2
#
## leaf log
#  Filespec for the log file to use instead of STDOUT.
#  Leave out to use STDOUT for log messages
#
# no default for log
#
## leaf log-append
#  If present, the log will be appended not over-written.
#  If not, the log will be over-written.
#  Only meaningful if the 'log' parameter is also present.
#
# default is to overwrite (flag not present)
#
## leaf log-level
#  Sets the debug logging level for the program.
#    off
#    error
#    warn
#    info
#    debug
#    debug2
#    debug3
#    debug4
#
# log-level info
#
## leaf max-burst
#  Specifies the maximum number of notifications
#  that should be sent to one session, within a
#  one second time interval.  The value 0 indicates 
#  that the server should not limit notification
#  bursts at all
#
# max-burst 10
#
## leaf modpath
#  Internal file search path for YANG files.
#  e.g., modpath "~/modules:/some/path:../another/path"
#  Refer to user manual for complete module search path
#
# no default for modpath
#
## leaf-list module
#  Specify a module that the server should load at boot-time
#  e.g., module test2
#        module test3
#
# no default for module
#
## leaf-list port
#  Specify the TCP ports that the server will accept
#  connections from.   Up to 4 port numbers can be configured.
#  If any ports are configured, then only those values
#  will be accepted by the server.
#
#  port 830
#
## leaf protocols
#  Specifies which protocol versions the program or session
#  will attempt to use. Empty set is not allowed.
#
# protocols "netconf1.0 netconf1.1"
#
## leaf running-error
#  Controls the server behavior if any errors are 
#  encountered while validating the running database
#  during the initial load of the running configuration
#  at boot-time.
#  enum stop
#     Terminate the program if any errors are
#     encountered in the running configuration.
#  enum continue
#     Continue the program if any errors are
#     encountered in the running configuration.
#     Altering the running configuration will fail
#     until the commit validation tests succeed.
#
# running-error stop
#
## leaf runpath
#  Internal file search path for executable files.
#  e.g., runpath "~/tools:/usr/share/acmelibs"
#  Refer to user manual for complete module search path
#
# no default for runpath
#
## choice startup or no-startup or factory-startup
#  Selects the startup configuration file to use
#  - To skip loading any startup file, and save to the default
#    if needed, use 'no-startup'
#  - To skip loading any startup file, and force the startup file
#    to be the factory default, use 'factory-startup'
#  - To use a specific startup file, use an absolute filespec
#  - To use a specific startup file in the YUMA_DATAPATH, use a relative
#    filespec.
# 
# startup startup-cfg.xml
#

## leaf startup-error
#  Controls the server behavior if any errors are 
#  encountered while loading the startup configuration
#  file into the running configuration at boot-time.
#  It is possible for the startup configuration
#  to contain errors within optional nodes.  If this
#  parameter is set to 'continue', then the validation
#  tests on the running config (controlled by running-error)
#  should not fail due to missing optional nodes.";
#
#  enum stop
#    Terminate the program if any errors are
#    encountered in the startup configuration.
#
#  enum continue
#    Continue the program if any errors are
#    encountered in the startup configuration.
#    The entire module-specific data structure(s)
#    containing the error node(s) will not be added
#    to the running configuration at boot-time.
#
# startup-error continue
#
## leaf subdirs [boolean]
#  If false, the file search paths for modules, scripts, 
#  and data files will not include sub-directories if they
#  exist in the specified path.
#       
# If true, then these file search paths will include
# sub-directories, if present.  Any directory name beginning
# with a dot '.' character, or named 'CVS', will be ignored.
#
# subdirs true
#
## leaf superuser
#  The user name to use as the superuser account.
#  To disable the superuser account completely,
#  set this parameter to the empty string.
#
# There is no default for the superuser name.
# Default is to not enable any superuser.
#
## leaf system-sorted
#  Indicates whether ordered-by system leaf-lists and  lists  will  be
#  kept in sorted order.
#
# system-sorted true
#
## leaf target
#  The database to use as the target of edit-config operations.
#     running
#     candidate
#
# target candidate
#
## leaf usexmlorder
#  If set, then XML schema order will be checked as
#  required by the YANG spec.  If not set then loose
#  XML ordering will be allowed.
#
#  default is loose order; flag not set
#
## leaf warn-idlen
#  Controls whether identifier length warnings will be generated.
#  range 0 | 8 .. 1023;  0==disable ID length checking
#
# warn-idlen 64
#
## leaf warn-linelen
#  Controls whether line length warnings will be generated.
#  range 0 | 40 .. 4095;  0==disable ID length checking
#
# warn-linelen 72
#
## leaf-list warn-off
#  Controls whether the specified warning number will be generated
#  range 400 .. 899;
#  e.g., warn-off 477
#
# no default for warn-off
#
## leaf with-startup
#  If 'true', then the :startup capability will be enabled.
#  If 'false', then the :startup capability will not be enabled.
#
# with-startup false
#
## leaf with-url
#  If  set to 'false', then the :url capability will be disabled. 
#  Otherwise, the :url  capability  will  be  enabled.   This  capability
#  allows  local  files  to  be  stored as backups on the server.
#
# with-url true
#
## leaf with-validate
#  If 'true', then the :validate capability will be enabled.
#  If 'false', then no validate operation or test-option
#  These operations can use lots of memory, so disable
#  to reduce runtime meory spikes
#
# with-validate true
##
## leaf yuma-home
#  Directory for the yuma project root
#  This will override the YUMA_HOME environment variable
#  if it is set.
#
#  no default for yuma-home

}